<?php //Crearexamen.php creado el 07/04/2010

if(isset($_GET["accion"])) {
    $accion = $_GET["accion"];
    if ($accion == "seleccionarpreguntas") { generarexamen(); }
    elseif ($accion == "verpreguntas") { verpreguntas(); }
	elseif ($accion == "editarpregunta") { editarpregunta($id); }
	elseif ($accion == "eliminarpregunta") { eliminarpregunta($id); }
	}
else{ generarexamen();}

function generarexamen() 
	{
	
	if(isset($_POST['examen']))
		{
			extract($_POST);
		if (!empty($preguntasi))
		{
		$contador=0;
		for ($i=0;$i < count($preguntasi);$i++)
		{
			$contador++;
		}
		$notapregunta=($notavalor/$contador);
		$seleccionado=array_keys($preguntasi);
		$registro=mysql_query("SELECT max(cod_examen) FROM generar_examen");
			$row = mysql_fetch_array($registro);
			$cod_examen=$row['max(cod_examen)']+1;
		for ($n=0;$n < count($seleccionado); $n++)
			{
			
			
			$selecciono=mysql_query("select * from preguntas where cod_pregunta=$seleccionado[$n]") or die(mysql_error());
			$prueba=mysql_fetch_assoc($selecciono);
				$codigo=$prueba['cod_pregunta'];
				$asignatura=$prueba['nom_asignatura'];
				$query=mysql_query("INSERT into generar_examen 
				(cod_examen,cod_pregunta,nom_asignatura,calificacion) 
				values ('$cod_examen','$codigo','$asignatura','$notapregunta')") or die(mysql_error());
			 
			}
		echo "Examen creado con exito";	 
			  
		}
	else
		{
			echo 'Selecciona una pregunta del examen';
		}
		
		}
	else
		{
		
	$query=mysql_query("SELECT * FROM preguntas");
	echo "<form action='index_profesor.php?opcion=crearexamen' method='post'>
	<p>Dinos sobre que valor se puntuara el examen: <input type='text' name='notavalor'></p>";
	while ($extraigo=mysql_fetch_assoc($query)) 
		{ 
		$id=$extraigo['cod_pregunta'];
			echo "<ul>
					<li>".$id."</li>
					<li>".$extraigo['cod_profesor']."</li>
					<li>".$extraigo['nom_asignatura']."</li>
					<li>".$extraigo['tipo_pregunta']."</li>
					<li>".$extraigo['respuesta_profesor']."</li>
					<li>".$extraigo['texto_pregunta']."</li>
					<li>".$extraigo['posibles_respuestas']."</li>
					<li><input type='checkbox' name='preguntasi[".$id."]' value='".$id."'></li>
				</ul><br>"; 
				}
			echo "<input type='submit' name='examen' value='Enviar'></form>";
		}
    }


?>